<html>
<head>
<title>Ogre::MeshLodUsage Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1MeshLodUsage.html">MeshLodUsage</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MeshLodUsage Struct Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MeshLodUsage" -->
<p>A way of recording the way each LODs is recorded this <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>.  
 <a href="structOgre_1_1MeshLodUsage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>&gt;</code></p>

<p><a href="structOgre_1_1MeshLodUsage-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#aa6c486dd152f254906b4b4ad11676ef3">MeshLodUsage</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#a114e1bc321b7b64f5bc931a30fea4dfe">userValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">User-supplied values used to determine when th is lod applies.  <a href="#a114e1bc321b7b64f5bc931a30fea4dfe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#a67335e7b36a1f60c1ccddfba3f34775a">value</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Value used by to determine when this lod applies.  <a href="#a67335e7b36a1f60c1ccddfba3f34775a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#a7fb356beacea9effe6462ef8b14d5f72">manualName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Only relevant if mIsLodManual is true, the name of the alternative mesh to use.  <a href="#a7fb356beacea9effe6462ef8b14d5f72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#ad6ca3c9c1b8751a122a0e9002e008bfb">manualGroup</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Only relevant if mIsLodManual is true, the name of the group of the alternative mesh.  <a href="#ad6ca3c9c1b8751a122a0e9002e008bfb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#a5749654233531c2be7509f795321504f">manualMesh</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Hard link to mesh to avoid looking up each time.  <a href="#a5749654233531c2be7509f795321504f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#ae42184abf768e9c0cf42458112f2c082">edgeData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Edge list for this LOD level (may be derived from manual mesh)  <a href="#ae42184abf768e9c0cf42458112f2c082"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A way of recording the way each LODs is recorded this <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. </p>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00889">889</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa6c486dd152f254906b4b4ad11676ef3"></a><!-- doxytag: member="Ogre::MeshLodUsage::MeshLodUsage" ref="aa6c486dd152f254906b4b4ad11676ef3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1MeshLodUsage.html#aa6c486dd152f254906b4b4ad11676ef3">Ogre::MeshLodUsage::MeshLodUsage</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00913">913</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae42184abf768e9c0cf42458112f2c082"></a><!-- doxytag: member="Ogre::MeshLodUsage::edgeData" ref="ae42184abf768e9c0cf42458112f2c082" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>* <a class="el" href="structOgre_1_1MeshLodUsage.html#ae42184abf768e9c0cf42458112f2c082">Ogre::MeshLodUsage::edgeData</a><code> [mutable]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Edge list for this LOD level (may be derived from manual mesh) </p>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00911">911</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad6ca3c9c1b8751a122a0e9002e008bfb"></a><!-- doxytag: member="Ogre::MeshLodUsage::manualGroup" ref="ad6ca3c9c1b8751a122a0e9002e008bfb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#ad6ca3c9c1b8751a122a0e9002e008bfb">Ogre::MeshLodUsage::manualGroup</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Only relevant if mIsLodManual is true, the name of the group of the alternative mesh. </p>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00907">907</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5749654233531c2be7509f795321504f"></a><!-- doxytag: member="Ogre::MeshLodUsage::manualMesh" ref="a5749654233531c2be7509f795321504f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#a5749654233531c2be7509f795321504f">Ogre::MeshLodUsage::manualMesh</a><code> [mutable]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Hard link to mesh to avoid looking up each time. </p>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00909">909</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7fb356beacea9effe6462ef8b14d5f72"></a><!-- doxytag: member="Ogre::MeshLodUsage::manualName" ref="a7fb356beacea9effe6462ef8b14d5f72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#a7fb356beacea9effe6462ef8b14d5f72">Ogre::MeshLodUsage::manualName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Only relevant if mIsLodManual is true, the name of the alternative mesh to use. </p>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00905">905</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a114e1bc321b7b64f5bc931a30fea4dfe"></a><!-- doxytag: member="Ogre::MeshLodUsage::userValue" ref="a114e1bc321b7b64f5bc931a30fea4dfe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#a114e1bc321b7b64f5bc931a30fea4dfe">Ogre::MeshLodUsage::userValue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>User-supplied values used to determine when th is lod applies. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is required in case the lod strategy changes. </dd></dl>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00895">895</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a67335e7b36a1f60c1ccddfba3f34775a"></a><!-- doxytag: member="Ogre::MeshLodUsage::value" ref="a67335e7b36a1f60c1ccddfba3f34775a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#a67335e7b36a1f60c1ccddfba3f34775a">Ogre::MeshLodUsage::value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Value used by to determine when this lod applies. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May be interpretted differently by different strategies. Transformed from user-supplied values with <a class="el" href="classOgre_1_1LodStrategy.html#aaa120bf9341ff0cada367395900b43a6" title="Transforum user supplied value to internal value.">LodStrategy::transformUserValue</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00902">902</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
